// pages/login-success/login-success.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    login_success: false, //type值 login_success
    version: false, //type值 version
    status: { //根据type值 获取相对应的值
      login_success: true
    },
    message: { // 根据type值  获取相对应的title
      login_success: '登陆成功'
    }
  },
  /**
   * 拨打电话
   */
  callPhone() {
    wx.makePhoneCall({
      phoneNumber: '4006900099',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options: any) {
    if (options.type) {
      // 如果message存在值  则动态更换导航栏title
      if (options.type === 'login_success') {
        wx.setNavigationBarTitle({
          title: this.data.message.login_success,
        })
        // 设置type对应的值
        this.setData({
          login_success: true
        })
      }
    } else {
      // 进入应用的时候的启动页
      wx.setNavigationBarTitle({
        title: '欢迎进入开心灵工',
      })
      this.setData({
        version: true
      }, () => {
        setTimeout(_ => {
          wx.reLaunch({
            url: '/pages/login/login',
          })
        }, 2000)
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})